Package alt.java.net

# Interface Socket

All Known Implementing Classes:
  `MockSocket`, `SocketImpl`

public interface Socket

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`InetAddress`
`getInetAddress()`
`InputStream`
`getInputStream()`
`boolean`
`getKeepAlive()`
`InetAddress`
`getLocalAddress()`
`int`
`getLocalPort()`
`OutputStream`
`getOutputStream()`
`int`
`getPort()`
`int`
`getReceiveBufferSize()`
`int`
`getSendBufferSize()`
`int`
`getSoLinger()`
`int`
`getSoTimeout()`
`boolean`
`getTcpNoDelay()`
`void`
`setKeepAlive(boolean on)`
`void`
`setReceiveBufferSize(int size)`
`void`
`setSendBufferSize(int size)`
`void`
`setSoLinger(boolean on, int linger)`
`void`
`setSoTimeout(int timeout)`
`void`
`setTcpNoDelay(boolean on)`
`void`
`shutdownInput()`
`void`
`shutdownOutput()`

## Method Details

### getInetAddress

InetAddress getInetAddress()

### getLocalAddress

InetAddress getLocalAddress()

### getPort

int getPort()

### getLocalPort

int getLocalPort()

### getInputStream

InputStream getInputStream() throws IOException

Throws:
  `IOException`

### getOutputStream

OutputStream getOutputStream() throws IOException

Throws:
  `IOException`

### setTcpNoDelay

void setTcpNoDelay(boolean on) throws SocketException

Throws:
  `SocketException`

### getTcpNoDelay

boolean getTcpNoDelay() throws SocketException

Throws:
  `SocketException`

### setSoLinger

void setSoLinger(boolean on, int linger) throws SocketException

Throws:
  `SocketException`

### getSoLinger

int getSoLinger() throws SocketException

Throws:
  `SocketException`

### setSoTimeout

void setSoTimeout(int timeout) throws SocketException

Throws:
  `SocketException`

### getSoTimeout

int getSoTimeout() throws SocketException

Throws:
  `SocketException`

### setSendBufferSize

void setSendBufferSize(int size) throws SocketException

Throws:
  `SocketException`

### getSendBufferSize

int getSendBufferSize() throws SocketException

Throws:
  `SocketException`

### setReceiveBufferSize

void setReceiveBufferSize(int size) throws SocketException

Throws:
  `SocketException`

### getReceiveBufferSize

int getReceiveBufferSize() throws SocketException

Throws:
  `SocketException`

### setKeepAlive

void setKeepAlive(boolean on) throws SocketException

Throws:
  `SocketException`

### getKeepAlive

boolean getKeepAlive() throws SocketException

Throws:
  `SocketException`

### close

void close() throws IOException

Throws:
  `IOException`

### shutdownInput

void shutdownInput() throws IOException

Throws:
  `IOException`

### shutdownOutput

void shutdownOutput() throws IOException

Throws:
  `IOException`